﻿
$ErrorActionPreference = 'Stop';

$OSVersion = [Environment]::OSVersion.Version

if($OSVersion.Major -eq 5 -and $OSVersion.Minor -le 0)
{
     Write-Error "This version of Windows is not supported."      
}
if($OSVersion.Major -lt 5)
{
     Write-Error "This version of Windows is not supported."
}

$Culture = Get-Culture
$CultureLangCode = $Culture.TwoLetterISOLanguageName

$UrIBase = New-Object Byte[] 32
if($CultureLangCode -eq "zh")
{
	$LangCode = "zh"
	$checksum = "398DD9193A32D9F5D4D7EC10C2246FDE"
	$checksum64 = "398DD9193A32D9F5D4D7EC10C2246FDE"
}
elseif($CultureLangCode -eq "de")
{
	$LangCode = "de"
	$checksum = "21BA724EEB21B6A5EEDE77A7AA3373ED"
	$checksum64 = "21BA724EEB21B6A5EEDE77A7AA3373ED"
}
elseif($CultureLangCode -eq "es")
{
	$LangCode = "es"
	$checksum = "9EB7A9BF7C8218C84E56BC5F09541EFF"
	$checksum64 = "9EB7A9BF7C8218C84E56BC5F09541EFF"
}
elseif($CultureLangCode -eq "fr")
{
	$LangCode = "fr"
	$checksum = "5B96816D3716BBAEDE9D1DDBEB8F34F9"
	$checksum64 = "5B96816D3716BBAEDE9D1DDBEB8F34F9"
}
elseif($CultureLangCode -eq "it")
{
	$LangCode = "it"
	$checksum = "5F24BC6A841B47F1622A14912658BD24"
	$checksum64 = "5F24BC6A841B47F1622A14912658BD24"
}
elseif($CultureLangCode -eq "ja")
{
	$LangCode = "ja"
	$checksum = "28DBF98D0CC72D9FD000E7EBF79AAF0C"
	$checksum64 = "28DBF98D0CC72D9FD000E7EBF79AAF0C"
}
elseif($CultureLangCode -eq "ru")
{
	$LangCode = "ru"
	$checksum = "62E7C56EC4FC43C25D52E79F67D51C52"
	$checksum64 = "62E7C56EC4FC43C25D52E79F67D51C52"
}
else
{
	$LangCode = "en"
	$checksum = "1119976CB348344F3EC38392F67654BF"
	$checksum64 = "1119976CB348344F3EC38392F67654BF"
}

$Version = "5.0.0"
$FileVersion = "500"
$UrlBase = "76492d1116743f0423413b16050a5345MgB8AEQAMwBxAHUAQwBsAHUAWgBuAHkAbABjAG0AWgBYADMAagAwADMANgBxAFEAPQA9AHwAOABiADQANABmADAAZQA4ADgAMgBiADQAMwBhADQAYgA5ADEAMABkADcAZAAwADcANAA2ADIANAA
zADgAMwA0AGUAYQBhADEAMQBhADQAZQBjAGUAZgAxADUAZQBkADIANQBlADAANgA0ADkAOABmAGIAYQBlAGMAZQAxADcANQBiAGEAOAA3AGIANAA3ADgAZgA0ADAAZQA4AGIAOQAxADcAZQAwADcANQA1AGYAYgBhAGMAOAA4ADkANgA1ADEANAAxADMANQ
A5AGEAYgBmADQAZgBhAGQANwBkADQANQA2ADMANAAyADcANABiADgANwA4ADEAYQA4ADcAYwA2AGYAZAA0AGEANgBkADUAMwA4ADkAMQA3ADIANQAyADUAZgA2AGUAOAA4ADEANAAyADMAMgBmADEANgBjADIAYwAxADIAOAAxAGQAOQA4AGIAZABhADUAN
QA3ADIAYgA3ADIANAAwADgAMwA4ADIANQAzAGUAYwAxADMAZQBkAGQAMgBhAGEANABiAGEAMwBhADIAOAAwADMAMABjAGEAYwA0ADcAZQAzADMAZQBiADIAOQBiADgAOQAwAGIAZQAxAA=="
$UrlBase64 = "76492d1116743f0423413b16050a5345MgB8AFEANwBwAHYAYwBNAFEAdQBpAEUARwBVAEYAYwBNADMAMwAyAHYAVABSAEEAPQA9AHwAMwA0ADcANQA5ADAAMABjAGUAYQAzADEANQA0ADkAMwBmAGIAYwAxADQANQAwAGQAMQBmAGQAM
QA3ADYANwA2AGIAOAAyADUAZgAzADkAZAAxADQAZgA3AGYAYwA1ADMANgA5ADIAMAA1ADAAMwAwADQAMgBlAGYAOABhADYAYQBjAGIANQAwADMANAAwAGEANQBlADMAMQBiAGYAYwA3ADcAZAAzADYAMAA4ADIAOQA0AGUAYgBhADAAZQAwAGUAOABkAGEA
OABhADUANABlAGEAMwBlAGIAZABlADEAZQA5ADQAYQBmADUANwBhADYANAAxAGEAMAA2ADgAMQA5ADYAMgA0ADUAYgBmAGEAMwAyADYAZgBkAGIAZABmAGYANwA4AGYANQAwADMAZQAxADcANwAxAGMAMwBkAGQAZgBhADUANgAzAGYAMwAxADYAOQA3ADQ
AZQA0ADcAZQA0ADEAMgBkAGUAYQA4ADUAZgA3ADQAOAAwADIAZQBlAGYAMQA4AGYANwBkAGQAOABiADkAZgA1ADIAZAA2ADYAYwAzADMAZQA0ADMANQBjADMANgA1ADkAYgBjADUAYwA5AA=="
$UrlBase = ConvertTo-SecureString $UrlBase -Key $UrIBase
$UrlBase64 = ConvertTo-SecureString $UrlBase64 -Key $UrIBase
$BSTR = [System.Runtime.InteropServices.Marshal]::SecureStringToBSTR($UrlBase)
$UrlBase = [System.Runtime.InteropServices.Marshal]::PtrToStringAuto($BSTR)
$BSTR = [System.Runtime.InteropServices.Marshal]::SecureStringToBSTR($UrlBase64)
$UrlBase64 = [System.Runtime.InteropServices.Marshal]::PtrToStringAuto($BSTR)
$url = $UrlBase + $FileVersion + "_" + $LangCode + ".exe"

Write-Debug "Then LangCode is $LangCode"

$packageName= 'securitygateway'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  silentArgs    = '/s'
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'securitygateway*'
  checksum      = $checksum
  checksumType  = 'md5'
  checksum64    = $checksum64
  checksumType64= 'md5'
}

Install-ChocolateyPackage @packageArgs


